%global owner goldendict
%global commit 3bd078debb7ae506e91e5d47f88f34ab847167c3

Name:		goldendict
Version:	1.5
Release:	0.4.RC1%{?dist}
Summary:	A feature-rich dictionary lookup program
Group:		Applications/System
License:	GPLv3+
URL:		http://goldendict.org
Source0:	https://github.com/%{owner}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:	qt-devel
BuildRequires:	libXtst-devel
BuildRequires:	hunspell-devel
BuildRequires:	libvorbis-devel
BuildRequires:	desktop-file-utils
BuildRequires:	phonon-devel
BuildRequires:  qt-webkit-devel
BuildRequires:  bzip2-devel
BuildRequires:  lzo-devel

%description
Goldendict is a feature-rich dictionary lookup program.
The latest release has the following features:
Use of WebKit for an accurate articles' representation;
Support of multiple dictionary file formats;
Support MediaWiki-based sites to perform search;
Scan popup functionality.

%prep
%setup -q -n %{name}-%{commit}

%build
%qmake_qt4 PREFIX=%{_prefix} DISABLE_INTERNAL_PLAYER=1
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_datadir}/app-install
desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc LICENSE.txt
%dir %{_datadir}/goldendict/
%dir %{_datadir}/goldendict/locale/
%{_bindir}/goldendict
%{_datadir}/applications/goldendict.desktop
%{_datadir}/pixmaps/goldendict.png
%{_datadir}/goldendict/locale/*.qm

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.4.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-0.3.RC1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 17 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.5-0.2.RC1
- Use %%qmake_qt4 as suggestion by Christophe​r Meng‎ (‏cickumqt/gmail.com‏)
- Remove repeated BR.
- Remove locale install lines, included in makeinstall function.

* Tue Jan 14 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.5-0.1.RC1
- Update to 1.5RC.
- General clean of spec.
- Using source from GitHub.
- New URL.
- Remove 3 fixes and patches, fixed in upstream.
- Fix a date in changelog.
- Use new desktop-files Fedora method.
- DISABLE_INTERNAL_PLAYER=1 because ffmpeg not found in Fedora repos.
- Add bzip2-devel,lzo-devel to BRs.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 Parag Nemade <paragn AT fedoraproject DOT org> - 1.0.1-7
- Fix FTBFS for gcc-4.7

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.0.1-3
- Fix the path of hunspell dictionaries

* Fri Dec 10 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.0.1-2
- Change the categories to fix 592954

* Fri Dec 10 2010 Howard Ning <mrlhwliberty@gmail.com> - 1.0.1-1
- New upstream

* Tue Oct 12 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-15
- New upstream

* Wed Aug 04 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-14
- Fix the git repo

* Wed Aug 04 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-13
- New upstream version

* Thu Jun 10 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-12
- New upstream version
- Better BGL support
- Updated translations
- Play audio from website

* Tue May 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-11
- Drop the patch files in favor of sed.
- Change to a more standard directory by removing app directory.
- Remove libzip-devel and kde-filesystem requirement.

* Tue May 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-10
- Clean up the spec file.
- Update to the latest upstream.
- Enhance dictiionary groups editing.
- Fix the scan popup issues more.
- Update the Chinese translation.

* Wed Apr 14 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-9
- Add kde-filesystem requirement.

* Sun Apr 11 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-8
- Patch the desktop file to conform the guideline.
- Clean up the spec file more.

* Fri Apr 09 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-7
- Clean up the spec file.
- Add ownership of the missing directories.

* Mon Mar 15 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-6
- Add missing translations.

* Sun Mar 07 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-5
- New upstream git.
- Add phonon-devel as build requirement.

* Sat Feb 06 2010 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-4
- New upstream git. Fix some sound problem and scan popup problem.

* Sat Dec 26 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-3
- New upstream git. Fix punctuation indexing problem and audio problems.

* Thu Dec 10 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-2
- Add LICENSE.txt
- Change the group to Applications/System

* Wed Dec 9 2009 Howard Ning <mrlhwliberty@gmail.com> - 0.9.0-1
- Initial Release
